<h1 align="center">○</h1>

<p align="center">
    <a href="https://discord.gg/Hvz9Axh84z"><img alt="Discord" src="https://img.shields.io/discord/1146610656779440188?logo=discord&style=social&logoColor=black"/></a>
    <br>
    <br>
    <strong>The #1 open-source voice interface.</strong><br>
    <br><a href="https://changes.openinterpreter.com">Get Updates</a>‎ ‎ |‎ ‎ <a href="https://01.openinterpreter.com/">Documentation</a><br>
</p>

<br>

> [!NOTE]
> You can talk to your 01 using OpenAI's [Realtime API](https://platform.openai.com/docs/guides/realtime) (Advanced Voice Mode) via the `--multimodel` flag, e.g:
> ```shell
> poetry run 01 --server livekit --qr --expose --multimodal
> ```

<br></br>

![01 Project Banner](https://raw.githubusercontent.com/OpenInterpreter/01/main/docs/assets/banner.png)

<br></br>

The **01** is an open-source platform for intelligent devices, inspired by the *Rabbit R1* and *Star Trek* computer. Powered by [Open Interpreter](https://github.com/OpenInterpreter/open-interpreter), it provides a natural language voice interface for computers.

<br>

> [!IMPORTANT]
> This experimental project is under rapid development and lacks basic safeguards. Until a stable `1.0` release, only run this on devices without sensitive information or access to paid services.

<br>

## Capabilities

- Execute code
- Browse the web
- Manage files
- Control third-party software

## Getting Started

For detailed setup instructions, visit our [installation guide](https://01.openinterpreter.com/setup/installation).

## Server Options

1. **Light Server**: Optimized for low-power devices like ESP32. [Learn more](https://01.openinterpreter.com/server/light)
2. **Livekit Server**: Full-featured for higher processing power devices. [Learn more](https://01.openinterpreter.com/server/livekit)

## Clients

- [Android & iOS App](https://01.openinterpreter.com/client/android-ios)
- [ESP32 Implementation](https://01.openinterpreter.com/client/esp32)
- [Desktop Client](https://01.openinterpreter.com/client/desktop)

## Hardware

Build your own [01 Light device](https://01.openinterpreter.com/hardware/01-light/introduction) or explore other [hardware options](https://01.openinterpreter.com/hardware/introduction).

## Customization

Customize behavior, language model, system message, and more by editing profiles in the `software/source/server/profiles` directory. [Configuration guide](https://01.openinterpreter.com/server/configure)

## Safety Considerations

Understand the [risks](https://01.openinterpreter.com/safety/risks) and implement [safety measures](https://01.openinterpreter.com/safety/measures) when using 01.

## Contributing

We welcome contributions! Check out our [contributing guidelines](CONTRIBUTING.md) and join our [Discord community](https://discord.gg/Hvz9Axh84z).

## Documentation

For comprehensive guides, API references, and troubleshooting, visit our [official documentation](https://01.openinterpreter.com/).

<br></br>

<p align="center">
  <a href="https://github.com/OpenInterpreter/01/blob/main/CONTEXT.md">Context</a> •
  <a href="/ROADMAP.md">Roadmap</a>
</p>

<p align="center">○</p>
